Update a campaign's booking settings
curl --request PUT \
--url https://api.pineyard.ai/google/campaigns/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bookingEnabled": true
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({bookingEnabled: true})
};
fetch('https://api.pineyard.ai/google/campaigns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/google/campaigns/{id}"
payload = { "bookingEnabled": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"status": "<string>",
"agentName": "<string>",
"bookingEnabled": true,
"bookingTypes": [
"site_visit"
]
}Google Calendar
Update a campaign's booking settings
PUT
/
google
/
campaigns
/
{id}
Update a campaign's booking settings
curl --request PUT \
--url https://api.pineyard.ai/google/campaigns/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bookingEnabled": true
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({bookingEnabled: true})
};
fetch('https://api.pineyard.ai/google/campaigns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/google/campaigns/{id}"
payload = { "bookingEnabled": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"status": "<string>",
"agentName": "<string>",
"bookingEnabled": true,
"bookingTypes": [
"site_visit"
]
}Required scope:
calendar.editAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Body
application/json

